%define _name anjuta
%define _libname libanjuta

# Need Glade3 for this
%def_disable glade
# Graphviz 2.6 is not yet in Sisyphus
%def_disable graphviz
%def_enable debug

Name: anjuta2
Version: 2.0.2
Release: alt2

Summary: GNOME IDE for C and C++
Summary(be_BY.UTF-8):	Інтэграванае асяродзьдзе распрацоўкі для GNOME
Summary(ru_RU.UTF-8):	Интегрированая среда разработки для GNOME
Summary(uk_UA.UTF-8):	Інтеґроване середовище розробки для GNOME

Group: Development/GNOME and GTK+
License: GPL
Url: http://anjuta.org/

Source: http://belnet.dl.sourceforge.net/sourceforge/%_name/%_name-%version.tar.gz
Patch1: %_name-2.0.0-alt-packagename.patch
Patch2: %_name-2.0.1-link.patch
Patch3: %_name-2.0.2-fix-compile-with-nls.patch

Obsoletes: libanjuta
Conflicts: anjuta <= 1.2.4

# These are taken from configure.in
%define glib_ver 2.8.0
%define gtk_ver 2.8.0
%define orbit_ver 2.6.0
%define libglade_ver 2.3.0
# gtksourceview plugin needs at least GNOME 2.14
%define gnome_ver 2.14.0
%define gnomeprint_ver 2.12.0
%define gnomevfs_ver 2.10.0
%define gconf_ver 2.12.0
%define vte_ver 0.7.0
%define libxml_ver 2.4.23
%define pango_ver 1.1.1
%define pcre_ver 3.9
%define devhelp_ver 0.11
%define gdl_ver 0.6.1
%define gnomebuild_ver 0.1.3
%define libgladeui_ver 2.91.3
%define graphviz_ver 1.0
%define subversion_ver 1.0.2
%define gtksourceview_ver 1.4.0
%define binutils_ver 2.15.92
%define libwnck_ver 2.12
%define autogen_ver 5.6.5

Requires(post,postun): desktop-file-utils

Requires: devhelp >= %devhelp_ver
Requires: autogen >= %autogen_ver
Requires: binutils >= %binutils_ver

BuildRequires: glib2-devel >= %glib_ver
BuildRequires: libgtk+2-devel >= %gtk_ver
BuildRequires: ORBit2-devel >= %orbit_ver
BuildRequires: libglade2-devel >= %libglade_ver
BuildRequires: libgnome-desktop-devel >= %gnome_ver
BuildRequires: libgnomeui-devel >= %gnome_ver
BuildRequires: libgnomeprint2-devel >= %gnomeprint_ver
BuildRequires: libgnomeprintui-devel >= %gnomeprint_ver
BuildRequires: gnome-vfs2-devel >= %gnomevfs_ver
BuildRequires: libGConf2-devel >= %gconf_ver
BuildRequires: libvte-devel >= %vte_ver
BuildRequires: libxml2-devel >= %libxml_ver
BuildRequires: pango-devel >= %pango_ver
BuildRequires: pcre-devel >= %pcre_ver
BuildRequires: libdevhelp-devel >= %devhelp_ver
BuildRequires: libgdl-devel >= %gdl_ver
BuildRequires: libgnome-build-devel >= %gnomebuild_ver
BuildRequires: autogen-devel >= %autogen_ver
%{?_enable_glade:BuildRequires: libgladeui-devel >= %libgladeui_ver}
BuildRequires: libsubversion-devel >= %subversion_ver
%{?_enable_graphviz:BuildRequires: graphviz-devel >= %graphviz_ver}
BuildRequires: libgtksourceview-devel >= %gtksourceview_ver
BuildRequires: binutils >= %binutils_ver
BuildRequires: libwnck-devel >= %libwnck_ver
BuildRequires: gtk-doc >= 1.0

BuildRequires: desktop-file-utils freetype2-devel gcc-c++ gnome-doc-utils libSM-devel libaprutil-devel libncurses-devel libpopt-devel libxslt-devel util-linux zlib-devel

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for GNOME Desktop Environment. It features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, a powerful source editor,
syntax highlighting, Intellisense-like autocompletion, symbol navigation,
integration with version control systems and a GUI designer, and other
tools.

%description -l be_BY.UTF-8
Anjuta -- шматфункцыянальнае інтэграванае асяродзьдзе распрацоўкі (IDE) для C і C++.
Яно напісана для GTK/GNOME і мае шмат адмысловых магчымасьцяў для праграмаваньня.
Фактычна гэта ёсьць графічным інтэрфэйсам да калекцыі уцілітаў ды інструмэнтаў, якія існуюць для GNU-сыстэмаў.

%description -l uk_UA.UTF-8
Anjuta -- багатофункціональне інтегроване середовище розробки (IDE) для C та C++.
Воно написане для GTK/GNOME та має багато потужних можливостей для програмування.
Фактично це графічний інтерфейс до колекції утиліт та інструментів, що існіють для GNU-систем.

%description -l ru_RU.UTF-8
Anjuta DevStudio -- многофункциональная интегрированая среда разработки (IDE).
Она написана для среды GNOME и имеет развитые возможности, в частности:
работа с проектами, средства быстрого создания приложений и отдельных классов,
встроенный отладчик на базе GDB, мощный редактор исходного кода (Scintilla)
с подсветкой синтаксиса, автодополнением и навигацией по проекту, интеграция
с системами контроля версий и дизайнером интерфейса Glade.

%package devel
Summary: development files for Anjuta
Group: Development/Other
Requires: %name = %version-%release pkgconfig

%description devel
Libraries, header files and API docs for developing Anjuta plugins.

%description -l ru_RU.UTF-8 devel
Библиотеки, заголовочные файлы и документация для разработки плагинов к Анюте.

%package subversion
Summary: Subversion support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: subversion >= %subversion_ver

%description subversion
Subversion support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 subversion
Плагин поддержки системы контроля версий Subversion для студии разработки Анюта.

%if_enabled graphviz
%package class-inheritance
Summary: Class inheritance diagram for Anjuta.
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: graphviz >= %graphviz_ver

%description class-inheritance
Class inheritance diagram plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 class-inheritance
Плагин для Anjuta, строящий диаграмму наследования классов.
%endif

%prep
%setup -q -n %_name-%version
# The following hackery is to allow anjuta1 and anjuta2 coexist.
%__subst "s|\<%_name\>|%name|g" anjuta.desktop.in.in
%__subst "s|%_name/|%name/|g" global-tags/Makefile.am plugins/class-gen/Makefile.am
rename %_name. %name. mime/anjuta*
%__subst "s| %_name\.| %name.|g" mime/Makefile.am
%__subst "s|^GETTEXT_PACKAGE=%_name$|GETTEXT_PACKAGE=%name|" configure.in
%__subst 's|update-mime-database .*;|	echo;|' mime/Makefile.am
%patch1
%patch2 -p1
%patch3 -p0

%build
%__rm -f missing
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-static \
    %{?_enable_glade:--enable-plugin-glade} \
    --enable-plugin-valgrind \
    --enable-plugin-scintilla \
    --enable-plugin-sourceview \
    %{?_enable_graphviz:--enable-plugin-class-inheritance} \
    %{subst_enable debug} \
    %{?_disable_debug:--enable-final} \
    %{?_disable_debug:--enable-optimize} \
    --enable-gtk-doc \
    --program-transform-name=s/%{_name}/%{name}/ \
    --disable-scrollkeeper

# SMP-incompatible build
%make

%install
%makeinstall

# A temporary hack to let old and new Anjutas coexist.
%__mv %buildroot%_desktopdir/%_name.desktop %buildroot%_desktopdir/%name.desktop

# make a link in /usr/share/pixmaps (Bug #6995)
pushd %buildroot%_datadir/pixmaps
%__ln_s -f %name/anjuta_icon.png %name.png
popd

%find_lang --with-gnome %name

%post
%post_ldconfig
%update_scrollkeeper
%update_mimedb
%update_desktopdb

%postun
%postun_ldconfig
%clean_scrollkeeper
%clean_mimedb
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%_libdir/%name/*
%exclude %_libdir/%name/*subversion*
%if_enabled graphviz
%exclude %_libdir/%name/*class-inheritance*
%endif
%_libdir/%{_libname}*.so.*
%_datadir/%name
%_desktopdir/*
%_liconsdir/anjuta_icon.png
%_iconsdir/hicolor/scalable/apps/anjuta_icon.svg
%_datadir/pixmaps/%name/*
%_datadir/pixmaps/%name.png
%_datadir/mime-info/*
%_datadir/application-registry/*
%_datadir/mime/packages/*
%_iconsdir/gnome/*/*/*
%_man1dir/*
# TODO: Fix help files location (should be in anjuta2/ subdir).
%_datadir/gnome/help/%_name
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO FUTURE ROADMAP
%doc doc/ScintillaDoc.html

%exclude %_iconsdir/hicolor/icon-theme.cache

%files devel
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/%{_libname}*.so
%_datadir/gtk-doc/html/%{_libname}

%files subversion
%_libdir/%name/*subversion*

%if_enabled graphviz
%files class-inheritance
%_libdir/%name/*class-inheritance*
%endif

%exclude %_libdir/%name/*.la
%exclude %_docdir/%_name
%exclude %_localstatedir/scrollkeeper

%changelog
* Mon Jan 22 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.2-alt2
- removed many Requires on library packages, let them be generated.
- dropped explicit dependency on libneon[-devel], because now we have several
  libneon-devel packages in Sisyphus, and subversion depends on another version
  than the one mentioned in this specfile. Better let subversion-devel choose
  appropriate libneon-devel.
- spec cleanup, updated buildreqs

* Wed May 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.2-alt1
- new version (2.0.2)
- fixed linking (thanks to damir@ for the patch)
- updated dependencies.
- class-inheritance plugin has been made optional ('graphviz' switch) and
  is disabled (waiting for Graphviz 2.6 to reach Sisyphus).

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt6
- added 'debug' switch.
- fixed crashing on start.

* Mon Apr 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt5
- fixed linking with --as-needed

* Sat Mar 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt4
- Updated buildreqs for X.org 7.0
- Removed Debian menu support
- Spec cleanup
- fixed double inclusion of subversion and class-inheritance plugins.

* Thu Oct 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt3
- Fixed Requires.

* Mon Oct 03 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt2
- Updated from CVS, fixing Bug #8077.
- Updated requirements from configure.in
- Urlified the source tag to favor etersoft-build-utils.

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt1
- New upstream version.
- Removed excess dependencies from the spec.

* Sat Jun 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt3
- Updated from CVS.
- Fixed Bug #6995.

* Sun May 22 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt2
- Sources updated from CVS.
- Several fixes and improvements in the spec (including Bug #6873).

* Fri May 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt1
- 2.0.0 release.
- The temporary name of the package is anjuta2 (this concerns all binaries
  and directories, but not libanjuta), to let anjuta-1.2 and anjuta-2.0
  coexist.

* Tue Feb 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.2-alt6
- version from cvs (2005-02-22)
- a lot of changes in spec

* Fri Jul 23 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt5
- added icon for Anjuta submenu
- move anjuta_updatetags, tm_globals_tags to /usr/lib/anjuta
- remove /var/cache/anjuta only when package removed (not upgraded)

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt4
- apply --disable-static to configure.
- do not list /usr/share/locale, /usr/share/omf/* and 
  /usr/share/gnome/help/* in %files (find-lang --with-gnome 
  treat these directories to find language specific files).
- use freedesktop2menu.pl to create menu file.
  Remove unusual icons from src.rpm
- remove unusual requires.
- updated buildreqs.
- other minor fixes, cleanups and .spec optimizatiions.
- fix #4766 (patch1)

* Thu May 20 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt3
- minor fixes

* Wed Apr 28 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed #3944

* Thu Apr 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- new version
- added menu entry

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 1.2.1-alt1
- new version
- added ru, be, uk package description

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt2
- Added libanjuta obsoletes
- added icon in menu entry

* Mon Mar 31 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt1
- New version

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.9-alt2
- made rebuildable

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Thu Sep  6 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt2
- Update URLs

* Mon Jul  9 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- 1.1.2

* Thu Jan  4 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Thu Nov  2 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
